jQuery(document).ready(function($) {
	// Membership Registration
	$('#wcfm_membership_register_button').click(function(event) {
	  event.preventDefault();
	  
	  // Validations
	  $('.wcfm-message').html('').removeClass('wcfm-error').removeClass('wcfm-success').slideUp();
	  $wcfm_is_valid_form = true;
	  $( document.body ).trigger( 'wcfm_form_validate' );
	  $is_valid = $wcfm_is_valid_form;
	  
	  if( $is_valid ) {
	  	$password = $('#passoword').val();
	  	$confirm_pwd = $('#confirm_pwd').val();
	  	if( $password != $confirm_pwd ) {
	  		$('#passoword').removeClass('wcfm_validation_success').addClass('wcfm_validation_failed');
	  		$('#confirm_pwd').removeClass('wcfm_validation_success').addClass('wcfm_validation_failed');
	  		$('#wcfm_membership_container .wcfm-message').html( '<span class="wcicon-status-cancelled"></span>' + $('#passoword').data('mismatch_message') ).addClass('wcfm-error').slideDown();
	  		$is_valid = false;
	  	}
	  }
	  
		$('#wcfm_membership_container').block({
			message: null,
			overlayCSS: {
				background: '#fff',
				opacity: 0.6
			}
		});
		if( $is_valid ) {
			var data = {
				action                             : 'wcfm_ajax_controller',
				controller                         : 'wcfm-memberships-registration',
				wcfm_membership_registration_form  : $('#wcfm_membership_registration_form').serialize(),
				status                             : 'submit'
			}	
			$.post(wcfm_params.ajax_url, data, function(response) {
				if(response) {
					$response_json = $.parseJSON(response);
					if($response_json.status) {
						$('#wcfm_membership_registration_form .wcfm-message').html('<span class="wcicon-status-completed"></span>' + $response_json.message).addClass('wcfm-success').slideDown( "slow", function() {
						  if( $response_json.redirect ) window.location = $response_json.redirect;	
						} );	
					} else {
						$('.wcfm-message').html('').removeClass('wcfm-success').slideUp();
						$('#wcfm_membership_registration_form .wcfm-message').html('<span class="wcicon-status-cancelled"></span>' + $response_json.message).addClass('wcfm-error').slideDown();
					}
					$('#wcfm_membership_container').unblock();
				}
			});
		} else {
			$('#wcfm_membership_container').unblock();
		}
	});
} );